--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: operators
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: MyKeywords
  value: Keywords.case_insensitive(%w{
     select from where group by having order desc asc
     inner left right full outer inner join on cross
     union all distinct as exists in between limit
     case when else end and or not true false
   })
- !ruby/object:RI::Constant 
  comment: 
  name: MyOperators
  value: "Operators.new(%w{+ - * / % = > < >= <= <> != : ( ) . ,})"
- !ruby/object:RI::Constant 
  comment: 
  name: Comparators
  value: operators(*%w{= > < >= <= <> !=})
- !ruby/object:RI::Constant 
  comment: 
  name: StringLiteral
  value: (char(?') >> (not_char(?')|str("''")).many_.fragment << char(?')).
     map do |raw|
       raw.gsub!(/''/,"'")
full_name: SqlParser
includes: 
- !ruby/object:RI::IncludedModule 
  name: Functors
- !ruby/object:RI::IncludedModule 
  name: Parsers
instance_methods: []

name: SqlParser
superclass: 
